Ask Your Question
2

Why git add interactive stopped working after upgrade to Fedora 26?

asked 2017-08-15 07:20:16 -0600

assafy gravatar image

During my development work I'm using regularly the 'git add -p' option in order to add interactively the hunks. After upgrading to Fedora 26 from Fedora 25, this option stopped working and I'm receiving the following output:

"unquote_path" is not exported by the Git module
Can't continue after import errors at /usr/libexec/git-core/git-add--interactive line 7.
BEGIN failed--compilation aborted at /usr/libexec/git-core/git-add--interactive line 7.

Apparently it runs a perl script but it has problems with that.

The git version is 2.13.4. The perl version V.5.24.2. uname: 4.11.11-300.fc26.x8664+debug #1 SMP Mon Jul 17 16:10:57 UTC 2017 x8664 x8664 x8664 GNU/Linux

edit retag flag offensive close merge delete

Comments

No idea, but it looks like git isn’t actually fully installed. You could try dnf reinstall git.

Aeyoun gravatar imageAeyoun ( 2017-08-15 08:39:38 -0600 )edit

Tried this but it didn't help. Note that other git commands do work.

assafy gravatar imageassafy ( 2017-08-15 09:20:59 -0600 )edit

When re-installing, also reinstall the other git packages, especially "git-core", As of today, current version of git is 2.13.5-1.fc26. It doesn't say if that version fixes the problem.

villykruse gravatar imagevillykruse ( 2017-08-15 09:29:59 -0600 )edit

Reinstalled git & git-core and has version 2.13.5. Still nothing have changed and problem remained.

assafy gravatar imageassafy ( 2017-08-16 01:50:05 -0600 )edit

Also perl-Git ?

villykruse gravatar imagevillykruse ( 2017-08-16 03:02:20 -0600 )edit

3 Answers

Sort by » oldest newest most voted
2

answered 2017-09-03 07:35:25 -0600

villykruse gravatar image

Based on this information:

Found /usr/share/perl5/vendor_perl/Git.pm
Found /usr/share/perl5/Git.pm

And the fact that /usr/share/perl5/vendor_perl/Git.pm is provided by perl-Git I am pretty sure that /usr/share/perl5/Git.pm is the cause of the problem, and that this file should be deleted. However, run

rpm -qf /usr/share/perl5/Git.pm

To check if that file is owned by an installed package. If it is, that package should probably also be removed.

edit flag offensive delete link more

Comments

Thanks a lot. Indeed the perl15/Git.pm does not belong to any package. Removing it changed the behvior, but still I get error:

Undefined subroutine &main::N__ called at /usr/libexec/git-core/git-add--interactive line 988.
assafy gravatar imageassafy ( 2017-09-03 08:11:48 -0600 )edit
1

You got more garbage in /usr/share/perl5/Git you will need to remove.

villykruse gravatar imagevillykruse ( 2017-09-03 11:03:22 -0600 )edit

Indeed there was a directory '/usr/share/perl5/Git'. Removing it solved the problem. Thanks a lot.

assafy gravatar imageassafy ( 2017-09-04 02:33:50 -0600 )edit
0

answered 2017-08-25 08:56:52 -0600

Joey gravatar image

I had the same problem on Ubuntu 16.04. It seems to be an issue with an outdated perl module. I simply grabbed the latest git release source from git's Github ( https://github.com/git/git/releases/t... ) and ran:

make prefix=/usr/local all

sudo make prefix=/usr/local install

After that, I pointed my Env to the new binary (/usr/local/bin/git) and all is good!

edit flag offensive delete link more

Comments

1

Fedora packages are working fine elsewhere (including my system). So there is something wrong in his system.

hedayat gravatar imagehedayat ( 2017-08-25 14:52:24 -0600 )edit
1

Bits and pieces from old versions of git in /usr/local could even be the cause of the problem.

villykruse gravatar imagevillykruse ( 2017-08-26 01:19:16 -0600 )edit
0

answered 2017-09-03 03:50:06 -0600

assafy gravatar image

updated 2017-09-03 04:12:28 -0600

hhlp gravatar image

The output of rpm -qaV:

.M.......    /var/run/pluto
S.5....T.  c /etc/yum.repos.d/fedora.repo
S.5....T.  c /etc/cups/cups-browsed.conf
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/postlogin
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
.M....G..    /var/log/gdm
missing     /var/run/pulse
.......T.  d /usr/share/doc/ghc/html/libraries/hslogo-16.png
.......T.  d /usr/share/doc/ghc/html/libraries/ocean.css
.......T.  d /usr/share/doc/ghc/html/libraries/synopsis.png
.M.......    /var/log/audit
S.5....T.  c /etc/plymouth/plymouthd.conf
missing     /usr/java/jre1.8.0_111/lib/install.jar
missing     /usr/java/jre1.8.0_111/lib/javasettings
missing     /usr/lib/systemd/system-preset/85-display-manager.preset
..5....T.  c /etc/dnf/dnf.conf
missing     /usr/java/jre1.8.0_121/lib/install.jar
missing     /usr/java/jre1.8.0_121/lib/javasettings
S.5....T.  c /etc/sudoers
......G..    /var/run/sddm
.M.......    /var/lib/nfs/rpc_pipefs
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/postlogin
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
S.5....T.    /usr/bin/thrift
..5....T.    /var/lib/selinux/targeted/active/commit_num
.......T.    /var/lib/selinux/targeted/active/file_contexts
.......T.    /var/lib/selinux/targeted/active/homedir_template
S.5....T.    /var/lib/selinux/targeted/active/policy.kern
.......T.    /var/lib/selinux/targeted/active/seusers
.......T.    /var/lib/selinux/targeted/active/users_extra
S.5....T.  c /etc/chrony.conf
S.5....T.  c /var/lib/unbound/root.key
.M.......    /run/libgpod
S.5....T.  c /etc/printcap
.M.......    /var/cache/man
.......T.  c /etc/kdump.conf
.......T.  c /etc/hba.conf

The output of the perl script:

Found /usr/share/perl5/vendor_perl/Git.pm
Found /usr/share/perl5/Git.pm
edit flag offensive delete link more

Question Tools

Stats

Asked: 2017-08-15 07:20:16 -0600

Seen: 677 times

Last updated: Sep 03 '17